Follow

Heck I was just asked to install Java 8 32 bit because the exam spyware might crash at the start of the exam with a 64 bit JRE.

Sign in to participate in the conversation
niu.moe

Welcome to your niu world ! We are a cute and loving international community O(≧▽≦)O !